/**********************************************************************
 * client_defs.h                                                      *
 *                                                                    *
 * Defines for the Client                                             *
 *                                                                    *
 * Brian Hoffman                                                      *
 * bhoffman@alum.mit.edu                                              *
 * ICFP Programming Contest 2002                                      *
 *                                                                    *
 **********************************************************************/

#ifndef CLIENT_DEFS_H
#define CLIENT_DEFS_H

/* General Defines
 */
#define TRUE    1
#define FALSE   0
#define OK      0
#define ERROR (-1)

/* Maximum Map Size is 1000 x 1000
 *
 * Allocate 2 extra cells in X and Y, since the map is (1,1)
 * referenced.
 *
 * Since C uses 0 referenced arrays, this gives us a border around the
 * map 1 cell wide, which comes in handy as the map is always
 * surrounded by walls.
 */
#define MAX_MAP_SIZE_X  1002
#define MAX_MAP_SIZE_Y  1002

/* Maximum number of packages is 10,000
 */
#define MAX_NUM_PKG  10000

/* Maximum package weight is 1,000,000,000
 */
#define MAX_WGT_PKG  1000000000

/* Maximum starting money is 1,000,000,000
 */
#define MAX_MONEY    1000000000

/* Terrain Types
 */
#define TERRAIN_PLAIN 1
#define TERRAIN_WATER 2
#define TERRAIN_WALL  3
#define TERRAIN_HOME  4

#define LINK_NORTH    0x01
#define LINK_SOUTH    0x02
#define LINK_EAST     0x04
#define LINK_WEST     0x08

#endif
